@layer components {
  .sub-heading {
    font-weight: 700;
    font-size: var(--fz-24);
  }
  :is(.box-gold, .box-gray) {
    border-radius: 24px;
    @media (768px <= width) {
      padding: 48px;
    }
    @media (width < 768px) {
      padding: 24px;
    }
  }
  .box-gold {
    background: var(--light-gold);
  }
  .box-gray {
    background: var(--light-gray);
  }
  .box-dl {
    line-height: 2.2;
    @media (768px <= width) {
      display: grid;
      grid-template-columns: 20% 1fr;
      gap: 40px;
    }
    @media (width < 768px) {
      display: flex;
      flex-direction: column;
      gap: 24px;
    }
    dt {
      font-weight: 700;
      color: var(--navy);
      @media (768px <= width) {
        font-size: var(--fz-24)
      }
      @media (width < 768px) {
        font-size: var(--fz-20);
      }
    }
    dd {
      @media (768px <= width) {
        border-left: 1px solid var(--navy);
        padding-left: 24px;
      }
      @media (width < 768px) {
        border-top: 1px solid var(--navy);
        padding-top: 16px;
        margin-top: -16px;
      }
    }
  }
  .requirement-area {
    @media (768px <= width) {
      display: grid;
      grid-template-columns: 20% 1fr;
      gap: 100px;
    }
  }
  .requirement-dl {
    border-bottom: 1px solid var(--gray, #CECECE);
    @media (768px <= width) {
      display: grid;
      grid-template-columns: 6em 1fr;
    }
    dt, dd {
      @media (768px <= width) {
        border-top: 1px solid var(--gray, #CECECE);
        padding: 24px 0;
      }
    }
    dt {
      font-size: var(--fz-16);
      font-weight: 700;
      @media (width < 768px) {
        border-top: 1px solid var(--gray, #CECECE);
        padding-top: 16px;
      }
    }
    dd {
      @media (width < 768px) {
        margin-top: 8px;
        padding-bottom: 16px;
      }
      > * + * {
        margin-top: 16px;
        @media (width < 768px) {
          margin-top: 8px;
        }
      }
      .dl-heading + * {
        margin-top: 8px;
      }
      @media (768px <= width) {
        padding-left: 24px;
      }
    }
  }
  .dl-heading {
    font-size: var(--fz-14);
    font-weight: 700;
    &::before {
      content: "━";
      display: inline-block;
      margin-right: 8px;
    }
  }
  * + .dl-heading {
    margin-top: 16px;
  }
  .page-jobtype {
    main {
      position: relative;
      z-index: 1;
      &::before, &::after {
        content: "";
        position: absolute;
        z-index: -1;
      }
      &::before {
        bottom: 0;
        height: 70%;
        width: 100%;
        background: var(--light-gold)
      }
      &::after {
        inset: 0;
        background: url('../img/bg-ball-02.svg') no-repeat left top / auto;
      }
    }
    .content .inner {
      @media (768px <= width) {
        display: grid;
        grid-template-columns: 24% 1fr;
        gap: 40px;
        padding: 40px 0 0;
      }
    }
    .job-list-area {
      @media (width < 768px) {
        margin-top: 32px;
      }
    }
    .job-list {
      display: flex;
      flex-direction: column;
      gap: 24px;
    }
    .job-item {
      a {
        display: block;
        position: relative;
        border: 1px solid var(--navy);
        border-radius: 24px;
        transition: background 0.3s ease;
        background: #fff;
        @media (768px <= width) {
          padding: 40px 40px 40px 104px;
        }
        @media (width < 768px) {
          padding: 24px 24px 24px 72px;
        }
        &::before, &::after {
          content: "";
          position: absolute;
          width: 26px;
          height: 26px;
          top: 50%;
          left: 40px;
          transform: translateY(-50%);
          @media (width < 768px) {
            left: 24px;
          }
        }
        &::before {
          border: 1px solid var(--navy);
          border-radius: 24px;
        }
        &::after {
          content: "";
          background: var(--navy);
          mask: url('../img/icon-arrow.svg') no-repeat center / 50%;
        }
        &:hover {
          background: var(--gold);
        }
      }
      .job-name {
        display: flex;
        @media (768px <= width) {
          flex-direction: row-reverse;
          align-items: center;
          justify-content: space-between;
        }
        @media (width < 768px) {
          flex-direction: column;
        }
        .jp {
          font-size: var(--fz-24);
          font-weight: 700;
        }
        .en {
          font-family: var(--font-en);
          font-size: var(--fz-12);
          color: var(--gray);
          @media (768px <= width) {
            text-align: right;
          }
        }
        + * {
          margin-top: 24px;
          @media (width < 768px) {
            margin-top: 16px;
          }
        }
      }
    }
  }
  .page-jobtype-detail {
    .inner {
      @media (768px <= width) {
        padding: 40px 0 0;
      }
    }
    .inner, .job-detail-area {
      display: flex;
      flex-direction: column;
      @media (768px <= width) {
        gap: 40px;
      }
      @media (width < 768px) {
        gap: 32px;
      }
    }
    .inner .btn {
      @media (768px <= width) {
        margin-top: 40px;
      }
    }
  }
  .flow-list {
    @media (768px <= width) {
      display: grid;
      grid-template-columns: 1fr 1fr 1fr 1fr;
      gap: 24px;
    }
    @media (width < 768px) {
      display: flex;
      flex-direction: column;
      gap: 24px;
    }
    li {
      background: #fff;
      border-radius: 8px;
      display: flex;
      justify-content: center;
      align-items: center;
      text-align: center;
      font-weight: 700;
      position: relative;
      @media (768px <= width) {
        padding: 24px;
      }
      @media (width < 768px) {
        padding: 16px;
      }
      &::after {
        content: "";
        display: block;
        background: #fff;
        position: absolute;
        @media (768px <= width) {
          width: 12px;
          height: 24px;
          left: 100%;
          top: 50%;
          transform: translateY(-50%);
          clip-path: polygon(0 0, 100% 50%, 0 100%);
        }
        @media (width < 768px) {
          width: 24px;
          height: 12px;
          top: 100%;
          left: 50%;
          transform: translateX(-50%);
          clip-path: polygon(0 0, 100% 0, 50% 100%);
        }
      }
      &:last-of-type {
        &::after {
          display: none;
        }
      }
    }
  }
  .interview-head {
    @media (768px <= width) {
      padding: 48px 0 0;
    }
  }
  .interview-head-inner {
    position: relative;
    z-index: 2;
    @media (width < 768px) {
      display: flex;
      flex-direction: column;
      gap: 32px;
    }
    @media (width < 768px) {
      padding: 24px 0 64px;
    }
    &::before {
      content: "";
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 70%;
      background: var(--light-gold);
      z-index: -1;
    }
    &::after {
      content: "";
      position: absolute;
      inset: 0;
      background: url('../img/bg-ball-02.svg') no-repeat left top / auto;
      z-index: -1;
    }
    @media (768px <= width) {
      display: grid;
      grid-template-columns: 428px 1fr;
      gap: 0 40px;
    }
  }
  .interview-head-ttl {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    @media (768px <= width) {
      padding: 0 48px;
    }
    @media (width < 768px) {
      display: contents;
    }
    .section-heading {
      @media (width < 768px) {
        order: 1;
        width: 90%;
        margin-inline: auto;
      }
      .jp {
        @media (768px <= width) {
          font-size: var(--fz-32) !important;
        }
        @media (width < 768px) {
          font-size: var(--fz-24);
        }
      }
    }
    .text-box {
      position: relative;
      z-index: 1;
      @media (width < 768px) {
        order: 3;
        width: 90%;
        margin-inline: auto;
        margin-top: 0;
      }
      h3 {
        font-size: var(--fz-14);
        + * {
          @media (768px <= width) {
            margin-top: 32px;
          }
          @media (width < 768px) {
            margin-top: 24px;
          }
        }
      }
      h4 {
        font-size: var(--fz-16);
        color: var(--navy);
        span {
          font-size: var(--fz-12);
          margin-left: 1em;
        }
        + * {
          margin-top: 16px;
        }
      }
      p {
        font-size: var(--fz-12);
      }
    }
  }
  .interview-head-img {
    position: relative;
    z-index: 1;
    border-radius: 24px 0 0 24px;
    overflow: hidden;
    @media (width < 768px) {
      order: 2;
      width: 95%;
      margin-left: auto;
    }
  }
  .interview-head-about {
    @media (768px <= width) {
      grid-column: 1 / -1;
      padding: 48px 48px 80px;
    }
    @media (width < 768px) {
      order: 4;
      width: 90%;
      margin-inline: auto;
    }
    .text-box {
      background: #fff;
      border-radius: 16px;
      width: 100%;
      margin: 0 auto;
      @media (768px <= width) {
        padding: 40px 120px;
      }
      @media (width < 768px) {
        padding: 24px;
      }
    }
  }
  .interview-content {
    .inner {
      padding: 0;
      @media (768px <= width) {
        display: grid;
        grid-template-columns: 25% 1fr;
        gap: 40px;
        align-items: flex-start;
      }
    }
    &:nth-child(1 of .interview-content) {
      .inner {
        @media (768px <= width) {
          padding-top: 120px;
        }
        @media (width < 768px) {
          padding-top: 100px;
        }
      }
    }
    &:nth-child(n + 2 of .interview-content) {
      .inner {
        padding-top: 80px;
      }
    }
    &:nth-last-child(1 of .interview-content) {
      .inner {
        padding-bottom: 40px;
      }
    }
    .interview-content-heading {
      position: relative;
      z-index: 1;
      display: flex;
      padding: 16px 16px 16px 0 ;
      flex-direction: column;
      justify-content: center;
      align-items: flex-start;
      line-height: 1.4;
      &::before {
        content: "";
        position: absolute;
        right: 0%;
        width: 300%;
        height: 100%;
        border-radius: 0 8px 8px 0;
        background: var(--light-gold, #E6E1B9);
        z-index: -1;
      }
      .num {
        font-size: var(--fz-14);
        font-weight: 700;
        span {
          font-size: var(--fz-24);
        }
      }
      .jp {
        margin-top: 8px;
        padding-top: 8px;
        border-top: 1px solid var(--navy);
        font-size: var(--fz-20);
        font-weight: 700;
      }
    }
    .interview-qa-list {
      @media (width < 768px) {
        margin-top: 40px;
      }
      .interview-question {
        font-size: var(--fz-24);
        display: flex;
        align-items: flex-start;
        gap: 0.3em;
        line-height: 1.4;
        .q-label {
          color: var(--gold, #B0A974);
          font-weight: 700;
          font-size: var(--fz-16);
          padding-top: .3em;
        }
        .q-text {
          flex: 1 1 auto;
        }
      }
      .interview-answer {
        margin-top: 24px;
        + .interview-question {
          margin-top: 80px;
        }
      }
    }
    .interview-content-img {
      margin-top: 80px;
      border-radius: 16px;
      overflow: hidden;
    }
  }
}
